if [ "$#" -ne "4" ]; then
    read
fi
if [ "$1" = "" ]; then
    read
fi
if [ "$2" = "" ]; then
    read
fi
if [ ! -f "$1" ]; then
    read
fi
echo "Running validator"
wine files/towin.exe "$1" | java -Xmx512M -Xss64M -DONLINE_JUDGE=true -Duser.language=en -Duser.region=US -Duser.variant=US -jar files/Validate.jar --testset "$3" --group "$4"
if [ "$?" -ne "0" ]; then
    read
fi
cp $1 exhibition.in
echo "Running solution exhibition_ip.java"
java -Xmx512M -Xss64M -DONLINE_JUDGE=true -Duser.language=en -Duser.region=US -Duser.variant=US -jar solutions/exhibition_ip.jar
if [ "$?" -ne "0" ]; then
    echo "Solution returned non-zero exit code"
    read
fi
rm -f exhibition.in
if [ ! -f "exhibition.out" ]; then
    echo "Solution didn't produced output [exhibition.out]"
    read
fi
mv "exhibition.out" "$2"
echo "Running checker"
java -Xmx512M -Xss64M -DONLINE_JUDGE=true -Duser.language=en -Duser.region=US -Duser.variant=US -jar check.jar $1 $2 $2
if [ "$?" -ne "0" ] && [ "$?" -ne "7" ]; then
    echo "Checker exit code is not equal to 0 and 7"
    read
fi
