#include <iostream>
#include <cstdio>
#include <vector>
#include <algorithm>
using namespace std;
#define TASK "exhibition"
const int MAX_VAL = 1<<12;

int main() {
    freopen(TASK".in", "r", stdin);
    freopen(TASK".out", "w", stdout);
    int n, k;
    cin >> n >> k;
    vector<int> a(n);
    for (int i = 0; i < n; ++i) {
        scanf("%d", &a[i]);
    }

    if (k >= 12) {
        for (int j = 0; j < 12; ++j) {
            bool found = false;
            for (int i = 0; i < n; ++i)
                if (((a[i]>>j)&1) == 0) {
                    found = true;
                    break;
                }
             if (!found) {
                 cout << "NO\n";
                 return 0;
             }
        }
        cout << "YES\n";
    } else {
        sort(a.begin(), a.end());
        int res = (1<<12)-1;
        int cn = 0;
        for (int i = 0; i < n && res != 0; ++i)
            if ((res & a[i]) != res) {
                res &= a[i];
                cn++;
            }
        cout << (cn <= k ? "YES" : "NO") << endl;
    }
    return 0;
}
