#include "bits/stdc++.h"
#include "testlib.h"
#define puba push_back
#define mapa make_pair
#define ff first
#define ss second
#define bend(_x) (_x).begin(), (_x).end()
#define szof(_x) ((int) (_x).size())
#define TASK_NAME ""

using namespace std;
typedef long long ll;
typedef pair<int, int> pii;
const int MAXN = 100000, MAXK = 10000, MAXC = 1000000;
const ll MAXV = 1e18;
const double PI = atan2(0, -1);

struct point {
    int x, y;
    point() {
        x = y = 0;
    }
    point(int _x, int _y) {
        x = _x;
        y = _y;
    }
    ll operator*(point p) {
        return (ll) x * p.y - (ll) y * p.x;
    }
    ll operator/(point p) {
        return (ll) x * p.x + (ll) y * p.y;
    }
    point operator-(point p) {
        return point(x - p.x, y - p.y);
    }
    point operator+(point p) {
        return point(x + p.x, y + p.y);
    }
    double len() {
        return sqrt((ll) x * x + (ll) y * y);
    }
    void print() {
        cerr << x << " " << y << endl;
    }
};

int main() {
    registerValidation();
    
    int n = inf.readInt(1, MAXN); inf.readSpace();
    ll s = inf.readLong(1, MAXV); inf.readEoln();

    int sum = 0;
    for (int i = 0; i < n; ++i) {
        int k = inf.readInt(3, MAXK); inf.readEoln();
        
        vector<point> inp;
        for (int j = 0; j < k; ++j) {
            int x = inf.readInt(-MAXC, MAXC); inf.readSpace();
            int y = inf.readInt(-MAXC, MAXC); inf.readEoln();
            inp.puba(point(x, y));
        }

        double ang = 0;
        for (int j = 0; j < k; ++j) {
            int j2 = (j + 1) % k;
            int j3 = (j + 2) % k;
            if ((inp[j3] - inp[j2]) * (inp[j2] - inp[j]) == 0) {
                cerr << "sad story :(" << endl;
            }
            ensuref((inp[j3] - inp[j2]) * (inp[j2] - inp[j]) < 0, "%d-th polygon, %d-th triplet isn't convex", i, j);
            ang += acos((inp[j3] - inp[j2]) / (inp[j2] - inp[j]) / (inp[j3] - inp[j2]).len() / (inp[j2] - inp[j]).len());
        }

        ensuref(abs(ang - PI * 2) < 0.5, "%d-th polygon isn't convex", i);
    }

    ensuref(sum <= 1000000, "sum of sizes is too big");

    inf.readEof();

    return 0;
}