#include <bits/stdc++.h>

const int MOD = static_cast<int>(1e9) + 7;

long long l, r;
int dp[20][20][20];

bool divisible(long long x, long long y) {
  if (y == -1) {
    return true;
  }
  return l <= std::abs(x - y) && std::abs(x - y) <= r;
}

int main() {
  freopen("kdivision.in", "r", stdin);
  freopen("kdivision.out", "w", stdout);
  int tests;
  std::cin >> tests;
  while (tests--) {
    long long x;
    int k;
    std::cin >> x >> l >> r >> k;
    std::string xs = std::to_string(x);
    for (size_t i = 0; i <= xs.size(); i++) {
      for (size_t j = 0; j <= xs.size(); j++) {
        for (int t = 0; t <= k; t++) {
          dp[i][j][t] = 0;
        }
      }
    }
    dp[0][0][0] = 1;
    for (size_t i = 0; i <= xs.size(); i++) {
      for (size_t j = i; j <= xs.size(); j++) {
        for (int t = 0; t < k; t++) {
          if (dp[i][j][t] == 0) {
            continue;
          }
          if (i > 0 && xs[i - 1] == '0' && j - i + 1 > 1) {
            continue;
          }
          long long last = (i == 0 || j == 0) ? -1 : std::stoll(xs.substr(i - 1, j - i + 1));
          for (size_t p = j + 1; p <= xs.size(); p++) {
            if (xs[j] == '0' && p - j > 1) {
              continue;
            }
            long long number = std::stoll(xs.substr(j, p - j));
            if (divisible(number, last)) {
              dp[j + 1][p][t + 1] += dp[i][j][t];
              if (dp[j + 1][p][t + 1] >= MOD) {
                dp[j + 1][p][t + 1] -= MOD;
              }
            }
          }
        }
      }
    }
    int cnt = 0;
    for (size_t i = 0; i <= xs.size(); i++) {
      cnt += dp[i][xs.size()][k];
      if (cnt >= MOD) {
        cnt -= MOD;
      }
    }
    std::cout << cnt << '\n';
  }
  return 0;
}
