#include <iostream>
#include <stdio.h>
#include <algorithm>
#include <cmath>
#include <vector> 
#include <set>

using namespace std;
    
#define pb push_back
#define mp make_pair
#define F first
#define S second

const int N = 100500;

int n;
pair<int, int> segs[N];

int main() {
    freopen("library.in","r",stdin);
    freopen("library.out","w",stdout);
    scanf("%d", &n);
    for (int i = 1; i <= n; i++) {
        int start, finish, length;
        scanf("%d%d%d", &start, &finish, &length);
        if (start + length > finish) {
            puts("NO");
            return 0;
        }
        segs[i] = mp(start + length, finish);
    }
    sort(segs + 1, segs + 1 + n);
    multiset<int> ms;
    multiset<int> :: iterator it;
    int last_day = segs[1].F - 1;
    segs[n + 1] = mp((int)2e9, (int)2e9);
    for (int i = 1; i <= n; i++) {
        ms.insert(segs[i].S);
        while (last_day + 1 < segs[i + 1].F && (int)ms.size() > 0) {
            ++last_day;
            it = ms.begin();
            if (last_day > *it) {
                puts("NO");
                return 0;
            }
            ms.erase(it);
        }
    }
    puts("YES");
    return 0;
}