#include <iostream>
#include <vector>
#include <algorithm>
#include <cstdio>
#include <set>
using namespace std;

struct Book {
    int s, f, c;
    bool operator < (const Book& book) const {
        return f < book.f || f == book.f && s > book.s;
    }
};

set<Book> s;

int main() {
    freopen("library.in", "r", stdin);
    freopen("library.out", "w", stdout);
    int n;
    cin >> n;
    vector <Book> a(n);
    for (int i = 0; i < n; ++i) {
        Book b;
        scanf("%d%d%d", &b.s, &b.f, &b.c);
        if (b.s + b.c > b.f) {
            cout << "NO";
            return 0;
        }
        b.s += b.c;
        a[i] = b;
    }
    sort(a.begin(), a.end());
    set<pair<int, int> > s;
    int day = a[0].s;
    for (int i = 0; i < n || s.size() > 0; ) {
        int j = i;
        for (; i < n && a[i].s == a[j].s; ++i) {
            s.insert(make_pair(a[i].f, i));
        }
        pair<int, int> f = *s.begin();
        if (f.first < day) {
            cout << "NO";
            return 0;
        }
        s.erase(s.begin());
        if (s.size() == 0 && i < n)
            day = a[i].s;
        else
            day++;
    }
    cout << "YES";
    return 0;
}
