import random
from sys import argv, stderr

random.seed(" ".join(argv), 2)

s = (10**7 - 100, 10**7 + 100)
n = (1, 100000)
xc = (15, 45)
xd = (10**6 - 20, 10**6 + 20)
xr = (15, 45)
ap = 0.7
op = 0.05
lp = 0.05

for sv in argv[1:]:
	if '=' in sv:
		if sv[:sv.find('=')] in ("s", "n", "xc", "xd", "xr", "ap", "op"):
			exec(sv)
		else:
			print("Wrong argument", sv, file=stderr)
			exit(1)

if type(s) != int:
	s = random.randint(s[0], s[1])
if type(n) != int:
	n = random.randint(n[0], n[1])
if type(xc) != int:
	xc = random.randint(xc[0], xc[1])
if type(xd) != int:
	xd = random.randint(xd[0], xd[1])
if type(xr) != int:
	xr = random.randint(xr[0], xr[1])

if (xc+3)*xd > 5*10**8:
	xd = 5*10**8 // (xc + 3)

e = []

print(s, n)
for i in range(n):
	if len(e) == 0 or random.random() < ap:
		if random.random() < lp:
			l = random.randint(-xc, xc) * xd + random.randint(-xr, xr)
			r = random.randint(-xc, xc) * xd + random.randint(-xr, xr)
		else:
			lr1 = random.randint(1, s // xd + 1)
			l1 = random.randint(-xc, xc - lr1)
			l = l1 * xd + random.randint(-xr, xr)
			r = (l1 + lr1) * xd + random.randint(-xr, xr)
		if random.random() < op:
			if random.randint(0, 1) == 1:
				l += random.randint(-xd, xd)
			else:
				r += random.randint(-xd, xd)
		if l > r:
			l, r = r, l
		if l == r:
			r += 1
		print(1, l, r)
		e.append(i)
	else:
		k = random.randint(0, len(e) - 1)
		print(2, e[k] + 1)
		e[k] = e[-1]
		e.pop()

