#include "testlib.h"
#include <vector>

using namespace std;

const int MAX_N = 100000;
const int MAX_X = 500000000;
const int MAX_S = MAX_X * 2;

bool e[MAX_N];

int main()
{
    registerValidation();
    inf.readInt(1, MAX_S*2, "v");
	inf.readSpace();
    int n = inf.readInt(1, MAX_N, "n");
    inf.readEoln();

    for (int i = 0; i < n; ++i)
    {
		int t = inf.readInt(1, 2, "t_i");
		inf.readSpace();
		if (t == 1)
		{
			int x = inf.readInt(-MAX_X, MAX_X, "x_i");
			inf.readSpace();
			int y = inf.readInt(-MAX_X, MAX_X, "y_i");
			ensure(x < y);
			e[i] = true;
		} else {
			int k = inf.readInt(1, i, "k_i") - 1;
			ensure(e[k]);
			e[k] = false;
		}
        inf.readEoln();
    }
    inf.readEof();

    return 0;
}
