#include <bits/stdc++.h>

using namespace std;
typedef long long ll;

const int MAX = 5e8;
const int N = 100179;

class MSet
{
	vector < pair < int , int > > a;
public:
	void add(int p, int v)
	{
		for (auto & q : a)
			if (q.first == p)
			{
				q.second += v;
				return;
			}
		a.emplace_back(p, v);
	}
	int get(int p)
	{
		int s = 0;
		for (auto q : a)
			if (q.first < p)
				s += q.second;
		return s;
	}
	int get(int l, int r)
	{
		int s = 0;
		for (auto q : a)
			if (l <= q.first && q.first <= r)
				s += q.second;
		return s;
	}
};

map < int , MSet > fs, fl, fr;
MSet fw;

int n, s, l[N], r[N];
ll ans = 0;
bool e[N];

int cnt(int l, int r)
{
	if (r - l > s)
		return 0;
	int a = 0;
	int s1 = s - (r - l);
	a += fs[s1].get(r + 1, MAX);
	a += fs[s1].get(-MAX, l - s1 - 1);
	a += fs[s].get(l - s1, l);
	a += fr[r + s1].get(l + 1, r);
	a += fl[l - s1].get(l, r - 1);
	if (r - l == s)
		a += fw.get(l + 2);
	return a;
}

int main()
{
#ifndef LOCAL
	freopen("twosegments.in", "r", stdin);
	freopen("twosegments.out", "w", stdout);
#endif

	scanf("%d%d", &s, &n);
	for (int i = 0; i < n; ++i)
	{
		int t;
		scanf("%d", &t);
		if (t == 1)
		{
			scanf("%d%d", l+i, r+i);
			ans += cnt(l[i], r[i]);
			fs[r[i] - l[i]].add(l[i], 1);
			fl[l[i]].add(r[i], 1);
			fr[r[i]].add(l[i], 1);
			if (r[i] - l[i] <= s - 2)
			{
				fw.add(r[i] - (s - 2), 1);
				fw.add(l[i] + 1, -1);
			}
			e[i] = true;
		} else {
			int k;
			scanf("%d", &k);
			--k;
			e[k] = false;
			fs[r[k] - l[k]].add(l[k], -1);
			fl[l[k]].add(r[k], -1);
			fr[r[k]].add(l[k], -1);
			if (r[k] - l[k] <= s - 2)
			{
				fw.add(r[k] - (s - 2), -1);
				fw.add(l[k] + 1, 1);
			}
			ans -= cnt(l[k], r[k]);
		}
		printf("%lld\n", ans);
	}


	return 0;
}
