import ru.ifmo.testlib.*;
import ru.ifmo.testlib.verifiers.*;
import ru.ifmo.testlib.io.*;
import static ru.ifmo.testlib.Outcome.Type.*;

import java.io.*;
import java.util.*;

/**
 * CheckerFramework wrapper to support standard checker execution command line.
 */
public class CheckerRunner {
	public static void main(String[] args) {
        String[] checkerFrameworkArgs = new String[args.length + 1];
        checkerFrameworkArgs[0] = "Check";
        for (int i = 0; i < args.length; i++) {
            checkerFrameworkArgs[i + 1] = args[i];
        }
        CheckerFramework.main(checkerFrameworkArgs);
	}
}
