#include <iostream>
#include <cstdio>
#include <vector>
using namespace std;
#define TASK "exhibition"
const int MAX_VAL = 1<<12;

int main() {
    freopen(TASK".in", "r", stdin);
    freopen(TASK".out", "w", stdout);
    int n, k;
    cin >> n >> k;
    vector<int> a(n);
    for (int i = 0; i < n; ++i) {
        scanf("%d", &a[i]);
    }

    if (k >= 12) {
        for (int j = 0; j < 12; ++j) {
            bool found = false;
            for (int i = 0; i < n; ++i)
                if (((a[i]>>j)&1) == 0) {
                    found = true;
                    break;
                }
             if (!found) {
                 cout << "NO\n";
                 return 0;
             }
        }
        cout << "YES\n";
    } else {
        bool dp[12][MAX_VAL] = {0};
        dp[0][MAX_VAL - 1] = true;
        for (int i = 0; i < n; ++i) {
            for (int ms = 0; ms < MAX_VAL; ++ms)
                for (int t = k - 1; t >= 0; --t)
                    if (dp[t][ms])
                        dp[t + 1][ms & a[i]] = true;
            if (dp[k][0]) {
                cout << "YES\n";
                return 0;
            }
        }
        cout << (dp[k][0] ? "YES" : "NO") << endl;
    }
    return 0;
}
