#include <iostream>
#include <vector>
#include <algorithm>
#include <cstdio>
using namespace std;

struct Book {
    int s, f, c;
    bool operator < (const Book& book) const {
        return f < book.f;
    }
};

int main() {
    freopen("library.in", "r", stdin);
    freopen("library.out", "w", stdout);
    int n;
    cin >> n;
    vector<Book> books(n);

    for (int i = 0; i < n; ++i) {
        Book b;
        scanf("%d%d%d", &b.s, &b.f, &b.c);
        if (b.s + b.c > b.f) {
            cout << "NO";
            return 0;
        }
        books[i] = b;
    }
    sort(books.begin(), books.end());
    int last = 0;
    for (int i = 0; i < n; ++i) {
        last = max(last, books[i].s);
        if (last + books[i].c > books[i].f) {
            cout << "NO";
            return 0;
        }
        last += books[i].c;
    }
    cout << "YES";
    return 0;
}
