#include "testlib.h"
#include <bits/stdc++.h>

using namespace std;

const int maxN = 100 * 1000;
const int maxE = 1000 * 1000 * 1000;

int main(int argc, char* argv[]){
	registerValidation(argc, argv);
	int n = inf.readInt(1, maxN, "n");
	inf.readSpace();
	int m = inf.readInt(1, maxN, "m");
	inf.readEoln();
	set<pair<int, int> > T;
	for(int i = 0; i < m; i++){
		int a = inf.readInt(1, n, "a");
		inf.readSpace();
		int b = inf.readInt(1, n, "b");
		inf.readSpace();
		int e = inf.readInt(1, maxE, "e");
		inf.readEoln();
		if(a > b){
			swap(a, b);
		}
		ensuref(a != b, "a == b");
		ensuref(!T.count(make_pair(a, b)), "double edges between a and b");
		T.insert(make_pair(a, b));
	}
	inf.readEof();
}