#include <iostream>
#include <vector>
#include <algorithm>
#include <cstdio>
#include <set>
using namespace std;

int main() {
    freopen("magic.in", "r", stdin);
    freopen("magic.out", "w", stdout);
    int n, m;
    cin >> n >> m;
    vector<vector<pair<int, int> > > g(n);
    vector<int> col(n);
    for (int i = 0; i < m; ++i) {
        int x, y, e;
        scanf("%d%d%d", &x, &y, &e);
        --x;--y;
        g[x].push_back(make_pair(y, e));
        g[y].push_back(make_pair(x, e));
    }
    for (int i = 0; i < n; ++i) {
        long long c0 = 0, c1 = 0;
        for (int j = 0; j < g[i].size(); ++j) {
            int to = g[i][j].first;
            if (to < i) {
                c0 += g[i][j].second * 1LL * (col[to] == 0);
                c1 += g[i][j].second * 1LL * (col[to] == 1);
            }
        }
        col[i] = c0 > c1;
    }
    for (int i = 0; i < n; ++i)
        printf("%d ", col[i]);
    return 0;
}
