#include "testlib.h"
#include <iostream>
#include <stdio.h>
#include <cmath>
#include <algorithm>
#include <cstring>

using namespace std;

const int MAX = (int)1e6;

bool isValid(string s) {
    if ((int)s.size() > MAX)
        return false;
    for (int i = 0; i < (int)s.size(); i++) {
        if (!isalpha(s[i])) {
            return false;
        }
    }
    return true;
}

int main() {
    registerValidation();
    string s1 = inf.readLine();
    string s2 = inf.readLine();
    ensuref(isValid(s1), "First string is not a valid string!");
    ensuref(isValid(s2), "Second string is not a valid string!");
    
    inf.readEof();
}