import random
from sys import argv, stderr

random.seed(" ".join(argv), 2)

s = (1, 10**8 * 2)
n = (1, 100000)
x = (-10**8, 10**8)
ap = 0.7
lp = 0.1

for sv in argv[1:]:
	if '=' in sv:
		if sv[:sv.find('=')] in ("s", "n", "x", "ap", "lp"):
			exec(sv)
		else:
			print("Wrong argument", sv, file=stderr)
			exit(1)

if type(s) != int:
	s = random.randint(s[0], s[1])
if type(n) != int:
	n = random.randint(n[0], n[1])
if type(x) == int:
	x = (-x, x)

e = []

print(s, n)
for i in range(n):
	if len(e) == 0 or random.random() < ap:
		ll = (random.randint(1, s) if random.random() >= lp else random.randint(1, x[1] - x[0]))
		l = random.randint(x[0], x[1] - ll)
		r = l + ll
		print(1, l, r)
		e.append(i)
	else:
		k = random.randint(0, len(e) - 1)
		print(2, e[k] + 1)
		e[k] = e[-1]
		e.pop()

